# Zarafa Webapp Emailtracking Plugin

This plugin will allow users to track their emails. It will show when, and from which IP the mail has been read.

### Current Version
0.1 (06.2015)

### Installation

#### Installation for Ubuntu/Debian

To install the emailtracking plugin, add the following repository to your apt list:

http://packages.sprinternet.at:82

```sh
$ wget packages.sprinternet.at/packages.sprinternet.key > packages.sprinternet.key

$ sudo apt-key add packages.sprinternet.key

$ echo "deb http://packages.sprinternet.at:82 trusty main" | sudo tee -a /etc/apt/sources.list

$ sudo apt-get update

$ sudo apt-get install zarafa-webapp-plugins-emailtracking
```

#### Manual Installation

This steps are show for debian bases systems. It should be similar to all other systems.

Install the plugin to Zartafa Webapp. Therefore copy the whole folder **'emailtracking'** to the Webapp plugin directory:

```sh
$ sudo cp -r emailtracking /usr/share/zarafa-webapp/plugins/
```

If you are running a precompiled WebApp you have to run "ant deploy" in the rootfolder of the emailtracking plugin before copying it.

Now you have the plugin installed. Restart the webserver (optional) and continue configuring the emailtracking plugin.

```sh
$ sudo service apache2 restart
```

### Configuration
The plugin configuration can be found in the **'config.php'** file.
> define('PLUGIN_EMAILTRACKING_USER_DEFAULT_ENABLE_TRACKING', true);

This configuration flag will enable the plugin by default for all users. If this is set to false, each user has to enable 
the plugin by itself in the Webapp settings. (Settings -> Plugins -> Check the fileviewer plugin)

> define('PLUGIN_EMAILTRACKING_SHOW_INTERNAL_LOGS', false);

If this flag is set to false (default) - Emailes opened in the same Webapp (on the same server) will not be logged.

### License

AGPL
